package org.jeecg.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.basedata.entity.FdCustomer;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 客户档案
 * @author： jeecg-boot
 * @date：   2019-05-05
 * @version： V1.0
 */
public interface IFdCustomerService extends IService<FdCustomer> {

    IPage<FdCustomer> findByPage(IPage<FdCustomer> page, QueryWrapper<FdCustomer> queryWrapper);

    FdCustomer CustomerOdd(String name);

    void saveCustomer(FdCustomer customerm);

    boolean updateCustomer(FdCustomer customerm);

    void cusAndContactsDelete(String id);
}
